Chapter 2. System Installation

Table of Contents

Pre-requisites
Upgrading from 2.0.3
Upgrading from previous versions prior than 2.0.3
Installation
Configure eDMS
System backup and disaster recovery

This section will cover all the installation steps of eDMS. Ensure that your installation is performed correctly. This is a basic requirement for a stable system, specially when storing critical data.

Installation do not cover your operating system setup, and do not cover pre-requisites setup. The pre-requisites will be described, with the required pre-requisites items configuration.

Installation of eDMS is not easy. Reserve at least one day to install it, because you'll certainly encounter setup problems. Then you will certainly want to install it again after understood how it works. Be patient and read carefully the documentation. Use forums and web sites for any doubt. You have been warned, and we thank you to understand that this product is a shared product for the Open Source community. You can help us to make it better, by reporting bugs and suggestions, and ordering support licenses.

Pre-requisites

Ensure your system has the following packages already installed, running and configured as described hereafter.

  • Apache 1.3.33
  • PHP 5.0.4

    • Use the php-ini-recommended as php.ini
    • enable php_gettext extension
    • enable php_mcrypt extension
    • enable php_mysql extension if you use mySQL as RDBMS
    • enable php_curl extension if you use a remote document storage point
  • mySQL 4.x or other RDBMS supported by ADODB
  • Download the ADODB package from adodb.sourceforge.net
  • Download the pdftotext (http://www.foolabs.com/xpdf/) and antiword (http://www.winfield.demon.nl/) for document content indexing